unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, ComCtrls, Buttons, Grids, DynamicSkinForm,
  dsaadapter, SkinData, ImgList, ToolWin, Menus, SkinMenus;

type
  TForm1 = class(TForm)
    GroupBox1: TGroupBox;
    Panel1: TPanel;
    CheckBox1: TCheckBox;
    RadioButton1: TRadioButton;
    TabControl1: TTabControl;
    ListBox1: TListBox;
    ComboBox1: TComboBox;
    Edit1: TEdit;
    RadioGroup1: TRadioGroup;
    SpeedButton1: TSpeedButton;
    RadioButton2: TRadioButton;
    BitBtn1: TBitBtn;
    Memo1: TMemo;
    Button1: TButton;
    StringGrid1: TStringGrid;
    spDynamicSkinForm1: TspDynamicSkinForm;
    spSkinData1: TspSkinData;
    spCompressedStoredSkin1: TspCompressedStoredSkin;
    dsaSkinAdapter1: TdsaSkinAdapter;
    Timer1: TTimer;
    Label1: TLabel;
    DateTimePicker1: TDateTimePicker;
    ToolBar1: TToolBar;
    ToolButton2: TToolButton;
    ToolButton1: TToolButton;
    ToolButton3: TToolButton;
    ToolButton4: TToolButton;
    ToolButton5: TToolButton;
    ImageList1: TImageList;
    TrackBar1: TTrackBar;
    ProgressBar1: TProgressBar;
    StatusBar1: TStatusBar;
    ToolButton6: TToolButton;
    spSkinPopupMenu1: TspSkinPopupMenu;
    item11: TMenuItem;
    item21: TMenuItem;
    item31: TMenuItem;
    procedure FormCreate(Sender: TObject);
    procedure dsaSkinAdapter1ChangeSkinData(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure Edit1Change(Sender: TObject);
    procedure FormResize(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  ComboBox1.ItemIndex := 0;
end;

procedure TForm1.dsaSkinAdapter1ChangeSkinData(Sender: TObject);
begin
  StringGrid1.Color := spSkinData1.SkinColors.cWindow;
  StringGrid1.Font.Color := spSkinData1.SkinColors.cWindowText;
  StringGrid1.FixedColor := spSkinData1.SkinColors.cBtnFace;
  Memo1.Color := spSkinData1.SkinColors.cWindow;
  Memo1.Font.Color := spSkinData1.SkinColors.cWindowText;
  ListBox1.Color := spSkinData1.SkinColors.cWindow;
  ListBox1.Font.Color := spSkinData1.SkinColors.cWindowText;
  StatusBar1.BringToFront;
end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin
  if CheckBox1.Checked
  then
    begin
      dsaSkinAdapter1.ApplySkin;
      Button1.Enabled := True;
    end
  else
    begin
      dsaSkinAdapter1.ReleaseSkin;
      Button1.Enabled := False;
    end;
  Timer1.Enabled := False;
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
  Timer1.Enabled := True;
end;

procedure TForm1.Edit1Change(Sender: TObject);
begin
  StatusBar1.Panels[1].Text := Edit1.Text;
end;

procedure TForm1.FormResize(Sender: TObject);
begin
  StatusBar1.BringToFront;
end;

end.
